DRBG-0.5.5: Deterministic random bit generator (aka RNG, PRNG) based HMACs, Hashes, and Ciphers.

Safe Haskell | None
Language | Haskell2010

Crypto.Random.DRBG.Hash

# Documentation

data State d Source #

counter :: State d -> Word64 Source #

reseedInterval :: Word64 Source #

class SeedLength h where Source #

Minimal complete definition

seedlen

Methods

seedlen :: Tagged h Int Source #

instantiate :: (Hash c d, SeedLength d) => Entropy -> Nonce -> PersonalizationString -> State d Source #

reseed :: (SeedLength d, Hash c d) => State d -> Entropy -> AdditionalInput -> State d Source #

generate :: (Hash c d, SeedLength d) => State d -> BitLen -> AdditionalInput -> Maybe (RandomBits, State d) Source #